Bug 1168568 - Fedora 21 final release notes required for GA
Summary: Fedora 21 final release notes required for GA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release-notes
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Travis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F21FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2014-11-27 10:25 UTC by Jaroslav Reznik
Modified: 2014-12-05 03:26 UTC (History)
19 users (show)

Fixed In Version: fedora-release-notes-21.08-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-04 14:39:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-11-27 10:25:42 UTC
The last build of Release Notes is fedora-release-notes-21.06-1.fc21 from Tue Sep 16 2014. Could this be considered as final or do we need newer build (I guess we do).

Comment 1 Fedora Blocker Bugs Application 2014-11-27 10:32:34 UTC
Proposed as a Blocker for 21-final by Fedora user jreznik using the blocker tracking app because:

 The final branded release notes must be present on release-blocking images and the appropriately versioned generic release notes must be available in the release repository.

Comment 2 Jaroslav Reznik 2014-11-27 13:54:28 UTC
There's one thing to consider - fedora-release-notes were removed from Workstation product but are still present in Server and Cloud (and possibly other release blocking media). Can we sync other media with Workstation? It's always the last minute package due to it's nature to include fresh data and it's published to web as primary place. Accessible before installation - the main reason for Release Notes to exist. One option we can consider here.

Otherwise, we can get build later today if really needed or on Friday by zoglesby (or other docs guys if they pop up on IRC).

Comment 3 Adam Williamson 2014-11-27 17:34:16 UTC
+1 blocker per current criteria, but I'm open to dropping it from Server, Cloud and KDE (if applicable) if those WGs agree to do so. (I can wear my Server WG member hat and say the same thing.) CCing some strategic folks.

Comment 4 Pete Travis 2014-11-27 19:47:01 UTC
I'm working on this right now. Sorry for the miss; with Workstation dropping the package and no other blocking deliverables really getting a format that's directly usable, I assumed the criteria had been dropped.

Comment 5 Fedora Update System 2014-11-27 20:39:23 UTC
fedora-release-notes-21.08-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fedora-release-notes-21.08-1.fc21

Comment 6 Kevin Kofler 2014-11-27 20:49:33 UTC
The KDE spin gets the same format the old Desktop spin did and it's directly usable (shows up in menus) there. So this is a clear blocker for the KDE spin.

Comment 7 Kevin Kofler 2014-11-27 20:49:58 UTC
Why has Workstation dropped the release notes?

Comment 8 Adam Williamson 2014-11-27 21:07:44 UTC
There's a long thread "Release notes have a launcher - maybe we should remove that" on desktop@ which I think contains the discussion / justification.

Comment 9 Kevin Fenzi 2014-11-27 23:36:57 UTC
+1 blocker.

Comment 10 Kevin Kofler 2014-11-27 23:49:54 UTC
So tidiness of menus is more important to them than having the release notes available? Linking to the online release notes in the browser bookmarks, sure, but are we now officially desupporting users without Internet access?

If we want to stop putting the offline release notes into the menu:
1. we need to put a link to the offline version in the browser bookmarks instead, but
2. I wonder whether people will even look in there for the bookmark. It's not necessarily obvious to non-technical users that the web browser is the viewer for offline HTML files, and even technical users who obviously know this might not have it in mind when looking for the release notes.

In any case, this is not a change we want to do for the KDE spin in F21, and it also does not change our requirement for an offline version of the release notes anyway.

Comment 11 Adam Williamson 2014-11-27 23:54:25 UTC
We have +3 votes, that's enough for blocker.

Comment 12 Edgar Hoch 2014-11-28 14:13:10 UTC
(In reply to Kevin Kofler from comment #10)
> If we want to stop putting the offline release notes into the menu:
> 1. we need to put a link to the offline version in the browser bookmarks
> instead, but
> 2. I wonder whether people will even look in there for the bookmark.

I think that putting a bookmark in the browser is not enough because users usually have there own bookmarks and may remove predefined bookmarks in there own configuration.

I think that offline (and online) release notes should be reachable by users very simple. One usual way for users to see what is available are the menu.

Comment 13 Fedora Update System 2014-11-29 20:59:51 UTC
Package fedora-release-notes-21.08-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-release-notes-21.08-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15946/fedora-release-notes-21.08-1.fc21
then log in and leave karma (feedback).

Comment 14 Kamil Páral 2014-12-01 11:59:26 UTC
Both KDE Live RC1 and installed Server DVD RC1 contain the latest release of fedora-release-notes.

Comment 15 Fedora Update System 2014-12-05 03:26:22 UTC
fedora-release-notes-21.08-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.